Subject: Ticket Assigned - Click & Collect
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Tue, 18 May 2021 06:31:50 +0000

Hi Abdulqader Ahmed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Click & Collect Hello

Some of the items from my previous click and collect order 9650377453 got cancelled automatically from your end and I am still waiting for refund.

As I have been waiting  close to 3 weeks now, I would like my balance to be refunded at once. Please do the needful and share a bank advice so that I can followup with my bank.
Thanks
R https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2495038